Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 283425 - Add prefs UI for option to disable (don't show) the new-message tray icon
: Add prefs UI for option to disable (don't show) the new-message tray icon
Product: Thunderbird
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: x86 Windows XP
: -- enhancement with 5 votes (vote)
: Thunderbird 22.0
Assigned To: Javi Rueda
: 310600 369892 376718 (view as bug list)
Depends on:
  Show dependency treegraph
Reported: 2005-02-24 00:26 PST by Florian Effenberger
Modified: 2013-03-26 04:28 PDT (History)
12 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

screenshot of how this systray icon I want to disable looks like (1.13 KB, image/jpeg)
2005-02-24 08:13 PST, Florian Effenberger
no flags Details
Screenshot with the new checkbox added. (38.93 KB, image/png)
2012-12-20 08:07 PST, Javi Rueda
no flags Details
patch (3.95 KB, patch)
2012-12-20 08:11 PST, Javi Rueda
bwinton: review+
bwinton: ui‑review+
Details | Diff | Splinter Review
patch with correction (3.96 KB, patch)
2013-03-23 09:28 PDT, Javi Rueda
no flags Details | Diff | Splinter Review

Description Florian Effenberger 2005-02-24 00:26:26 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; de-DE; rv:1.7.5) Gecko/20041108 Firefox/1.0
Build Identifier: Thunderbird 1.0

I would like to see an option to disable the new message tray icon.

Reproducible: Always
Comment 1 Mike Cowperthwaite 2005-02-24 07:52:07 PST
I believe there is a bug for this filed against the suite, but I'm not having 
any luck finding it.  Not that I'd dupe this to that one; notification issues 
appear to be product-specific.

This applies to Mac as well as Windows, I guess, but *nix doesn't have a tray.

If this tray icon is suppressed, do you still expect to be able to see the new 
message alert slider/popup?
Comment 2 Florian Effenberger 2005-02-24 08:11:18 PST
I can disable the slider (gray box with green or blue border and number of
messages) that shows up with

user_pref("alerts.totalOpenTime", 0);

but I cannot disable the icon in the systray (white envelope with green arrow).
I would like to disable that one as well.
Comment 3 Florian Effenberger 2005-02-24 08:13:06 PST
Attached is a screenshot of how this systray icon I want to disable looks like.
Comment 4 Florian Effenberger 2005-02-24 08:13:38 PST
Created attachment 175438 [details]
screenshot of how this systray icon I want to disable looks like
Comment 5 Mike Cowperthwaite 2005-02-28 09:00:05 PST
Seamonkey bug 133917.
Comment 6 Florian Effenberger 2005-02-28 09:46:05 PST
I tried


but it has NO effect in TB 1.0.
Comment 7 Gervase Markham [:gerv] 2005-09-27 01:50:16 PDT
This is an automated message, with ID "auto-resolve01".

This bug has had no comments for a long time. Statistically, we have found that
bug reports that have not been confirmed by a second user after three months are
highly unlikely to be the source of a fix to the code.

While your input is very important to us, our resources are limited and so we
are asking for your help in focussing our efforts. If you can still reproduce
this problem in the latest version of the product (see below for how to obtain a
copy) or, for feature requests, if it's not present in the latest version and
you still believe we should implement it, please visit the URL of this bug
(given at the top of this mail) and add a comment to that effect, giving more
reproduction information if you have it.

If it is not a problem any longer, you need take no action. If this bug is not
changed in any way in the next two weeks, it will be automatically resolved.
Thank you for your help in this matter.

The latest beta releases can be obtained from:
Comment 8 Adam Guthrie 2005-09-30 14:12:55 PDT
*** Bug 310600 has been marked as a duplicate of this bug. ***
Comment 9 Age Bosma 2005-10-01 04:12:11 PDT
Bug 310600 isn't exactly a duplicate but I guess it can be fixed at the same time.

I don't think an extra option should be included in the preferences but I'm of
the opinion that the "Show an alert" option should prevent the systemtray icon
and the popup from appearing. Both are alerts and by disabling the "Show an
alert" option I expect both alerts to stay away.
Some tweakers might prefer to have the option to show just one of both alerts
but I think this won't be the case for the majority of the users. Because of
this I think we shouldn't clutter the UI with yet another option. An extra
option for the tweaker could always be provided in the the about:config way.
Comment 10 Mike Cowperthwaite 2006-05-20 08:58:07 PDT
Bug 133917 has added the backend support necessary for this feature, on the trunk (targeted for TB 3.0).  Setting this preference to False:
will suppress the icon.  In TB, using a current 3a1 build, you can do this 
using:   Options | Advanced | Config Editor.

This bug is now about adding a checkbox in the Options dialog for the feature, altho that may be WontFix'd.
Comment 11 Wayne Mery (:wsmwk, NI for questions) 2006-12-16 18:43:46 PST
dup of bug 360030?
Comment 12 Mike Cowperthwaite 2006-12-17 11:03:34 PST
(In reply to comment #11)
> dup of bug 360030?

No, that didn't provide a checkbox to en/disable the tray icon.
Comment 13 Geert 2006-12-18 00:20:25 PST
Can the procedure be re-started for this request?  I still don't like the icon! :)
Comment 14 Mike Cowperthwaite 2006-12-18 10:37:59 PST
(In reply to comment #13)
> Can the procedure be re-started for this request?  I still don't like
> the icon!

See comment 10.  That feature was checked in to the trunk as well, so it's available in 2b1; you just have to set the pref via the Config Editor rather than having an explicit checkbox.
Comment 15 Mike Cowperthwaite 2007-02-09 13:06:46 PST
*** Bug 369892 has been marked as a duplicate of this bug. ***
Comment 16 Adam Guthrie 2007-04-06 16:37:14 PDT
*** Bug 376718 has been marked as a duplicate of this bug. ***
Comment 17 Roman 2007-05-10 04:22:38 PDT
Are there plans to add that checkbox (in v2b1) to the actual UI or should I create a request for that?
Comment 18 Henrik Skupin (:whimboo) 2007-05-10 10:21:58 PDT
This is actually a request. Further Thunderbird 2 is released and no new features will be implemented, especially none which result in l10 changes. If someone creates a patch it could come with Thunderbird 3.
Comment 19 Javi Rueda 2012-12-20 08:07:45 PST
Created attachment 694397 [details]
Screenshot with the new checkbox added.
Comment 20 Javi Rueda 2012-12-20 08:11:29 PST
Created attachment 694400 [details] [diff] [review]

Mainly I copied most of the code used in the suite edition of this bug.

I just add a new checkbox to enable or disable the icon on the notification area only on Windows.

Tested on Windows 7.
Comment 21 Blake Winton (:bwinton) (:☕️) 2013-02-24 10:48:01 PST
Comment on attachment 694400 [details] [diff] [review]

>+++ b/mail/components/preferences/general.xul
>@@ -63,16 +66,21 @@
>+#ifdef XP_WIN
>+      <checkbox id="newMailNotificationTrayIcon" label="&showTrayIcon.label;"
>+              preference="mail.biff.show_tray_icon"
>+              accesskey="&showTrayIcon.accesskey;" />

I think it would be better for addons to always have the checkbox there, but add hidden="true" if we're not on Windows…

Other than that, it seems good to me, so r=me with that fixed.
(And I'm going to go ahead and give it a ui-r=me, while I'm here.  Normally I'm against adding checkboxes for stuff most people won't use, but for some reason I'm feeling generous today…  ;)

Thanks, and I apologize for the length of time it took me to get to this review!

Comment 22 Javi Rueda 2013-03-23 04:46:53 PDT
Sorry for the delay. I have been really busy on my everyday job.

Today I am going to make needed change and re-attach it so someone could check-in on the tree.

Thank you for your review, Blake :-)
Comment 23 Javi Rueda 2013-03-23 09:28:21 PDT
Created attachment 728634 [details] [diff] [review]
patch with correction

will show a checkbox to disable the icon for new messages on the notification area on windows.

The UI will be available on all OS but only visible on windows.
Comment 24 Mark Banner (:standard8) 2013-03-26 04:28:30 PDT

Thanks for the patch.

Note You need to log in before you can comment on or make changes to this bug.